description

# PreserveAspectRatio class Null safety

Annotations
  - @Unstable()
  - @Native("SVGPreserveAspectRatio")

## Properties

align ↔ int?
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
meetOrSlice ↔ int?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

SVG_MEETORSLICE_MEET → const int
  `1`
SVG_MEETORSLICE_SLICE → const int
  `2`
SVG_MEETORSLICE_UNKNOWN → const int
  `0`
SVG_PRESERVEASPECTRATIO_NONE → const int
  `1`
SVG_PRESERVEASPECTRATIO_UNKNOWN → const int
  `0`
SVG_PRESERVEASPECTRATIO_XMAXYMAX → const int
  `10`
SVG_PRESERVEASPECTRATIO_XMAXYMID → const int
  `7`
SVG_PRESERVEASPECTRATIO_XMAXYMIN → const int
  `4`
SVG_PRESERVEASPECTRATIO_XMIDYMAX → const int
  `9`
SVG_PRESERVEASPECTRATIO_XMIDYMID → const int
  `6`
SVG_PRESERVEASPECTRATIO_XMIDYMIN → const int
  `3`
SVG_PRESERVEASPECTRATIO_XMINYMAX → const int
  `8`
SVG_PRESERVEASPECTRATIO_XMINYMID → const int
  `5`
SVG_PRESERVEASPECTRATIO_XMINYMIN → const int
  `2`